<?php
$data2 = ( $_POST );
$dayseri =date("Y-m-d H:i:s");
$proj_year=$_SESSION["budget_year"];

function make_time($date){
		if(!(isset($date))){
		return;
		}
	$f_date=explode("-", $date);
	$time=mktime(0, 0, 0, $f_date[1], $f_date[2], $f_date[0]);
	return $time;
}
$ks_year=$vbudget_year-543;  //ปีงบประมาณ คศ.นี้ 
$past_ks_year=$vbudget_year-543-1;  //ปี คศ. ก่อนหน้า
$start_year="$past_ks_year"."-"."10"."-"."1";   //วันเดือนปี เริ่มปีงบประมาณ
$stop_year="$ks_year"."-"."9"."-"."30";  //วันเดือนปีสิ้นสุดปีงบประมาณ
$start_edyear="$ks_year"."-"."5"."-"."1";   //วันเดือนปี เริ่มปีการศึกษา  1 พ.ค.

$over_index=0;
//ตรวจสอบวันเริ่มต้นโครงการ
if(make_time($mybeginday)<make_time($start_year)){
	?>
		<script>
				alert("วันเริ่มต้นโครงการอยู่นอกกรอบปีงบประมาณ");
		</script>
	<?php
$over_index=1;
}

//ตรวจสอบวันสิ้นสุดโครงการ
if(make_time($myfinishday)>make_time($stop_year)){
	?>
		<script>
				alert("วันสิ้นสุดโครงการอยู่นอกกรอบปีงบประมาณ");
		</script>
	<?php
$over_index=1;
}

//ตรวจสอบโครงการคร่อมปีการศึกษาหรือไม่
if(make_time($mybeginday)<make_time($start_edyear)){
$cut_year1=1;
}
if(make_time($mybeginday)>=make_time($start_edyear)){
$cut_year1=2;
}
if(make_time($myfinishday)<make_time($start_edyear)){
$cut_year2=1;
}
if(make_time($myfinishday)>=make_time($start_edyear)){
$cut_year2=2;
}
if(($cut_year2-$cut_year1)!=0){
	?>
		<script>
				alert("ระยะเวลาของโครงการคร่อมปีการศึกษา อาจขาดประสิทธิภาพในการรายงานแบบปีการศึกษา");
		</script>
	<?php
}

/*
echo $vowner_proj; echo "<br>";
echo $mybeginday; echo "<br>";
echo $myfinishday; echo "<br>";
echo $dayseri; echo "<br>";
exit();
*/
require_once("dbconfig.inc.php");
$sql = "SELECT *  FROM  plan_proj  where budget_year='$proj_year' and  code_proj = '$vcode_proj' ";
$result0 =DBfieldQuery($sql);
$fetyear = mysqli_fetch_array($result0);
$num=mysqli_num_rows($result0);
if ($num==0 and $over_index==0){
$sql = "insert into plan_proj (code_clus,code_tegy,code_proj,budget_year,budget_proj,name_proj,owner_proj,begin_date,finish_date,dayrec,budget_approve,file_detail,eval_tegy,eval_activity,eval_result,eval_obstacle,eval_particular,allow_edit) values ('$vcode_clus','$vcode_tegy','$vcode_proj','$vbudget_year','$vbudget_proj_2','$vname_proj','$vowner_proj','$mybeginday','$myfinishday','$dayseri','0','','','','','','','')";
$result0  =  DBfieldQuery($sql);
}

if($num!=0){
?>
	<script>
			alert(" <?php echo $vcode_proj?>  คุณใส่รหัสโครงการซ้ำ\nกรุณาบันทึกใหม่");
	</script>
<?php
}
?>
<Form id='user_form' name='frm1'>
</Form>
<script>
	callfrm("?option=plan&task=planproject/plan_in_proj"); 
</script>

